

import com.example.sites.site.*;
import java.io.*;
import org.apache.xmlbeans.*;

public class CursorWalk
{
	public static void main(String[] args)
	{
		try
		{
			SitesDocument sd=SitesDocument.Factory.parse(new File("./sites.xml"));
			
   			XmlCursor sdcursor=sd.newCursor();
			
			while(sdcursor.hasNextToken())
			{
			     sdcursor.toNextToken();
			     if(sdcursor.isText())
			     {
			         System.out.println(sdcursor.currentTokenType()+" "+sdcursor.getChars());
			         }
			         else
			         {
			     System.out.println(sdcursor.currentTokenType()+" "+sdcursor.getName());
			     }
            }

		}			
		catch (IOException e)
		{
			e.printStackTrace();
		}
		catch (XmlException e)
		{
			e.printStackTrace();
		}
	}
}

