

import com.example.sites.site.*;
import java.io.*;
import org.apache.xmlbeans.*;

public class SimpleXPath
{
	public static void main(String[] args)
	{
		try
		{
			
			SitesDocument sd=SitesDocument.Factory.parse(new File("./sites.xml"));
			
			String namespace="declare namespace st='http://www.example.com/sites/SITE';";
						
			XmlObject[] sitelist=sd.selectPath(namespace+"//st:site[st:rating/@rated=5]");

			for(Site site:(Site[])sitelist)
			{
				System.out.println(site.getSrc());
			}
        }			
		catch (IOException e)
		{
			e.printStackTrace();
		}
		catch (XmlException e)
		{
			e.printStackTrace();
		}
	}
}

