

import com.example.sites.site.*;
import java.io.*;
import org.apache.xmlbeans.*;

public class Cursor
{
	public static void main(String[] args)
	{
		try
		{
			String stnamespace="http://www.example.com/sites/SITE";
			
			SitesDocument sd=SitesDocument.Factory.parse(new File("./sites.xml"));
			
			
    		Site site=sd.getSites().getSiteArray()[0];
						
    	    XmlCursor cursor=site.newCursor();
		  
    		System.out.println(cursor.getName());
		      
    		cursor.toChild(stnamespace,"rating");
		      
    	   	System.out.println(cursor.getName());
		      
    		Rating rating=(Rating)cursor.getObject();
		      
    		System.out.println(rating);
    		
    		}			
		catch (IOException e)
		{
			e.printStackTrace();
		}
		catch (XmlException e)
		{
			e.printStackTrace();
		}
	}
}

