

import com.example.sites.site.*;
import java.io.*;
import org.apache.xmlbeans.*;

public class Example1
{
	public static void main(String[] args)
	{
		try
		{
			
			SitesDocument sd=SitesDocument.Factory.parse(new File("./sites.xml"));
			
			Sites sites=sd.getSites();
	
			for(Site s:sites.getSiteArray())
			{
				System.out.println(s.getSrc());
				for(Comment c:s.getCommentArray())
				{
					System.out.println(c.getEmail()+" said "+c.getStringValue());
				}
				for(Rating r:s.getRatingArray())
				{
					System.out.println(r.getEmail()+" rated the site "+r.getRated()+" on "+r.getRatedon());
				}
			}
			
			Site newsite=sites.addNewSite();
			
			newsite.setSrc("http://www.example.net/specialpurpose.html");
			
			Comment newcomment=newsite.insertNewComment(0);
			
			newcomment.setEmail("fred@example.com");
		
			newcomment.setStringValue("This was a reasonable addition");
			
			sd.save(new File("./newsites.xml"));
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
		catch (XmlException e)
		{
			e.printStackTrace();
		}
	}
}

